{"title":"Get journalLines","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_journalline_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_journalline_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_journalline_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a journal line object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":251,"chars":226},{"level":2,"title":"Request headers","slug":"request-headers","at":477,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":549,"chars":61},{"level":2,"title":"Response","slug":"response","at":610,"chars":124},{"level":2,"title":"Example","slug":"example","at":734,"chars":838},{"level":2,"title":"Related information","slug":"related-information","at":1572,"chars":216}],"text":"Retrieve the properties and relationships of a journal line object for Business Central.\n> NOTE\n> Get journalLines will only return lines where documentType is not specified and where accountType is either of type `\"G/L Account\"` or `\"Bank Account\"`.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/journals({id})/journalLines({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a journalLines object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/journals({id})/journalLines({id})\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"0a077d18-45e3-ea11-bb43-000d3a2feca1\",\n    \"journalId\": \"dd1b6a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"journalDisplayName\": \"DEFAULT\",\n    \"lineNumber\": 10000,\n    \"accountType\": \"G/L Account\",\n    \"accountId\": \"00000000-0000-0000-0000-000000000000\",\n    \"accountNumber\": \"\",\n    \"postingDate\": \"2018-12-31\",\n    \"documentNumber\": \"\",\n    \"externalDocumentNumber\": \"\",\n    \"amount\": 0,\n    \"description\": \"\",\n    \"comment\": \"\",\n    \"lastModifiedDateTime\": \"0001-01-01T00:00:00Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_journalline\ndynamics_journalline_delete\ndynamics_journalline_create\ndynamics_journalline_update"}